MakeUrl (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.MakeUrl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class MakeUrl

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MakeUrl

All Implemented Interfaces:
  java.lang.Cloneable

    public class MakeUrl

extends Task

This task takes file and turns them into a URL, which it then assigns to a property. Use when for setting up RMI codebases.

nested filesets are supported; if present, these are turned into the url with the given separator between them (default = " ").

Field Summary
`static java.lang.String` | `ERROR_MISSING_FILE` Missing file
`static java.lang.String` | `ERROR_NO_FILES` No files defined
`static java.lang.String` | `ERROR_NO_PROPERTY` No property defined

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`MakeUrl()`

Method Summary
`void` | `addFileSet(FileSet fileset)` a fileset of jar files to include in the URL, each separated by the separator
`void` | `addPath(Path path)` add a path to the URL.
`void` | `execute()` Create the url
`void` | `setFile(java.io.File file)` the name of a file to be converted into a URL
`void` | `setProperty(java.lang.String property)` set the name of a property to fill with the URL
`void` | `setSeparator(java.lang.String separator)` set the separator for the multi-url option.
`void` | `setValidate(boolean validate)` set this flag to trigger validation that every named file exists.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_MISSING_FILE

    public static final java.lang.String ERROR_MISSING_FILE

  Missing file

  See Also:
    Constant Field Values

### ERROR_NO_PROPERTY

    public static final java.lang.String ERROR_NO_PROPERTY

  No property defined

  See Also:
    Constant Field Values

### ERROR_NO_FILES

    public static final java.lang.String ERROR_NO_FILES

  No files defined

  See Also:
    Constant Field Values

Constructor Detail

### MakeUrl

    public MakeUrl()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

  set the name of a property to fill with the URL

  Parameters:
    `property` - the name of the property.

### setFile

    public void setFile(java.io.File file)

  the name of a file to be converted into a URL

  Parameters:
    `file` - the file to be converted.

### addFileSet

    public void addFileSet(FileSet fileset)

  a fileset of jar files to include in the URL, each separated by the separator

  Parameters:
    `fileset` - the fileset to be added.

### setSeparator

    public void setSeparator(java.lang.String separator)

  set the separator for the multi-url option.

  Parameters:
    `separator` - the separator to use.

### setValidate

    public void setValidate(boolean validate)

  set this flag to trigger validation that every named file exists. Optional: default=true

  Parameters:
    `validate` - a `boolean` value.

### addPath

    public void addPath(Path path)

  add a path to the URL. All elements in the path will be converted to individual URL entries

  Parameters:
    `path` - a path value.

### execute

    public void execute()
                 throws BuildException

  Create the url

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD